# Interface ModePlotter.Mode

All Known Implementing Classes:
  `ShapeMode`

Enclosing interface:
  `ModePlotter<S extends Style>`

public static interface ModePlotter.Mode
Marker interface for an object that is shared between plotters sharing characteristics that make it useful to group them. These characteristics may be encoded by the interface of the Mode subclass.

Since:
  18 Feb 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Icon`
`getModeIcon()`
Returns an icon to identify this mode in the GUI.
`String`
`getModeName()`
Returns the user-directed name for this mode.

## Method Details

### getModeName

String getModeName()
Returns the user-directed name for this mode.

Returns:
  mode name

### getModeIcon

Icon getModeIcon()
Returns an icon to identify this mode in the GUI.

Returns:
  mode icon